Subject: Re: Test failure: Test #3 in t1304-default-acl

From: Matthieu Moy <[email-masked]>
Date: Mon, 17 Sep 2012 18:52:30 +0200

Junio C Hamano <[email-masked]> writes:

> I haven't been paying attention, but does that mean on that system,
> a total stranger kseygold can write, modify, and remove whatever Ram
> owns?  I am hoping that is not the case.

I can see two reasons for having the same UID for two login names:

1) the sysadmin really messed up, and as you say, a total stranger has
complete ownership of your files. Ramkumar, you should check that this
is not your case.

2) the sysadmin explicitely gave two login names to the same physical
person, as kinds of aliases for the same UID (e.g. the person got
married, changed her name and login, but expects ~oldlogin to continue
working). I'm not sure how common this is, and to which extend we want
to support this in our test scripts.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/